Project

General

Profile

Emulator Issues #9815

"Can't load state from other versions!" is shown when savestates fail to load, regardless of reason

Added by JosJuice about 3 years ago. Updated over 1 year ago.

Status:
Fixed
Priority:
Normal
Assignee:
-
% Done:

0%

Operating system:
N/A
Issue type:
Bug
Milestone:
Regression:
No
Relates to usability:
Yes
Relates to performance:
No
Easy:
No
Relates to maintainability:
No
Regression start:
Fixed in:
5.0-8159

Description

When savestates fail to load, the message "Unable to load: Can't load state from other versions!" is shown no matter what the reason for the failure is. The message is of course supposed to be shown when the reason is that the savestate is from another version, but it should not be shown when loading fails because of things like incompatible settings.

Tested in 5.0-615 and 5.0-754 by PPLToast.

http://i.imgur.com/L2Htx7t.png

History

#1 Updated by Zephiles about 3 years ago

Adding onto this, the issue seems to lie with MMU. When I have MMU off, my savestates work fine. When I turn it on, they do not work at all, and say that it is the wrong revision.

#2 Updated by JosJuice over 1 year ago

  • Fixed in set to 5.0-8159
  • Status changed from New to Fixed

Also available in: Atom PDF